<?php
//Ao voltar do form a pk será enviado via post
if (isset($_POST['pk']))
{
    $pk = $_POST['pk'];
}
//pelo include será pego o pk já definido no arquivo anterior
if ($pk != '')
{
    require_once './Control/ControlFoto.php';
    require_once './Util/Utilidades.php';
    $controlFoto = new ControlFoto();
    $foto = $controlFoto->pegarTodosFotoporGaleria($pk);
    $ar = Utilidades::OrdenarArray($foto->allToArray(), 'descricao');
    $arquivoForm = 'adm_fotoForm.php';
    ?>
    <button value="cmdNovo" onclick="javascript:mostrarArquivoDados('<?php echo $arquivoForm ?>','#divFotos','acao=inserir&lang=ptbr&pk=<?php echo $pk?>');">Novo registro</button>
    <table class="datatable" id="gridFoto">
        <thead>
            <tr>
                <?php
                $ColNomes = '<th>Descricao</th><th>imagem</th><th></th>';
                echo $ColNomes;
                ?>
            </tr>
        </thead>
        <tbody>
            <?php
            foreach ($ar as $key => $row) {
                $pk = $row['fotoid'];
                $nome = $row['descricao'];
                echo '<tr class="gradeA" id="fotoID_' . $pk .'">';
                echo '<td>' . $row['descricao'] . '</td>';
                echo '<td><img src="' . $row['foto'] . '"/></td>';
                echo '<td><a href="javascript:mostrarArquivoDados(\'' . $arquivoForm .'\',\'#divFotos\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');">Editar</a> / <a href="javascript:excluirRegistro(\'' . $pk . '\',\'' . $nome .'\');" class="editor_remove">Excluir</a></td>';
                echo '</tr>';
            }
            ?>
        </tbody>
        <tfoot><?php echo $ColNomes?></tfoot>
    </table>
    <script>
        iniciarDataTable('#gridFoto');
    </script>
    <?php
            FormAjax::ExcluirRegistro('adm_fotoCMD.php');
    ?>
<?php
} else
{
    echo '<p>Salve a galeria antes de inserir as fotos</p>';
}
?>